<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <import type="com.yumzy.orderfood.ui.helper.StringUtil" />

        <import type="android.view.View" />

        <variable
            name="scratchDetails"
            type="String" />
    </data>


    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        tools:context=".ui.screens.scratchcard.ScratchCardActivity">


        <androidx.coordinatorlayout.widget.CoordinatorLayout
            android:id="@+id/annonce.main.coordinator"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <com.google.android.material.appbar.AppBarLayout
                android:id="@+id/app_bar_layout"
                android:layout_width="match_parent"
                android:layout_height="@dimen/_140sdp"
                android:background="@color/pinkies"
                android:theme="@style/ThemeOverlay.AppCompat.Dark.ActionBar">

                <com.google.android.material.appbar.CollapsingToolbarLayout
                    android:id="@+id/collapsing_toolbar"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:fitsSystemWindows="true"
                    app:contentScrim="@color/pinkies"
                    app:expandedTitleTextAppearance="@style/TextAppearance.AppCompat.Title"
                    app:layout_scrollFlags="scroll|exitUntilCollapsed"
                    app:titleEnabled="false">

                    <!--                    <com.google.android.material.imageview.ShapeableImageView-->
                    <!--                        android:layout_width="fill_parent"-->
                    <!--                        android:layout_height="match_parent"-->
                    <!--                        android:scaleType="centerCrop"-->
                    <!--                        android:src="@drawable/scratch_card_bg"-->
                    <!--                        app:tint="#BB3E50B4"-->
                    <!--                        app:tintMode="multiply" />-->

                    <!--   <androidx.appcompat.widget.Toolbar
                           android:id="@+id/flexible.example.toolbar"
                           style="@style/ToolBarWithNavigationBack"
                           android:layout_width="match_parent"
                           android:layout_height="?attr/actionBarSize"
                           android:background="@null"
                           app:layout_collapseMode="pin" />-->

                    <LinearLayout
                        android:id="@+id/ll_toolbar"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_gravity="end"
                        android:layout_marginStart="@dimen/_1sdp"
                        android:layout_marginTop="@dimen/_3sdp"
                        android:layout_marginEnd="@dimen/_10sdp"
                        android:layout_marginBottom="@dimen/_3sdp"
                        android:gravity="end"
                        android:orientation="vertical"
                        android:paddingTop="@dimen/_40sdp">

                        <com.google.android.material.textview.MaterialTextView
                            style="@style/TextAppearance.MyTheme.Caption"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="end"
                            android:text="@string/you_earn"
                            android:textColor="@color/white" />


                        <com.google.android.material.textview.MaterialTextView
                            style="@style/TextAppearance.MyTheme.Headline6"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="end"
                            android:text='@{scratchDetails}'
                            android:textColor="@color/white"
                            android:textSize="@dimen/_30sdp"
                            android:textStyle="bold"
                            app:autoSizeMaxTextSize="@dimen/_30sdp"
                            app:autoSizeMinTextSize="@dimen/_25sdp"
                            app:autoSizeStepGranularity="1sp"
                            app:autoSizeTextType="uniform"
                            tools:text="1000" />


                    </LinearLayout>

                    <androidx.appcompat.widget.Toolbar
                        android:id="@+id/toolbar"
                        android:layout_width="match_parent"
                        android:layout_height="?attr/actionBarSize"
                        android:layout_marginTop="@dimen/_20sdp"
                        app:layout_collapseMode="pin"
                        app:title="@string/scratch_card" />


                </com.google.android.material.appbar.CollapsingToolbarLayout>
            </com.google.android.material.appbar.AppBarLayout>


            <!--            <androidx.core.widget.NestedScrollView-->
            <!--                android:layout_width="match_parent"-->
            <!--                android:layout_height="match_parent"-->
            <!--                android:fitsSystemWindows="true"-->
            <!--                android:scrollbars="none"-->
            <!--                android:scrollingCache="true"-->
            <!--                app:layout_anchor="@id/app_bar_layout"-->
            <!--                app:layout_behavior="@string/appbar_scrolling_view_behavior">-->

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                app:layout_behavior="@string/appbar_scrolling_view_behavior">


                <LinearLayout
                    android:id="@+id/cardview"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/_12sdp"
                    android:background="@drawable/round_stroke_2dp"
                    android:orientation="vertical"
                    android:padding="@dimen/_5sdp"
                    android:visibility="gone"
                    tools:visibility="visible">

                    <TextView
                        android:id="@+id/card_title"
                        style="@style/TextAppearance.Highlighter1"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:maxLines="1"
                        tools:text="Hello" />

                    <TextView
                        android:id="@+id/card_subtitle"
                        style="@style/TextAppearance.Highlighter2"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        tools:text="@string/sample_lorem" />
                </LinearLayout>

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rv_scratch_card"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginStart="@dimen/_10sdp"
                    android:layout_marginEnd="@dimen/_10sdp"
                    android:overScrollMode="never" />

                <com.yumzy.orderfood.ui.component.nodata.EmptyScreenLayout
                    android:id="@+id/noDataToDisplay"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:padding="@dimen/_20sdp"
                    android:visibility="gone"
                    app:eLayoutAction="@string/invite"
                    app:eLayoutActionIcon="@drawable/ic_share"
                    app:eLayoutSrc="@drawable/img_share_invite"
                    app:eLayoutSubtitle="@string/share_with_get_scratch"
                    app:eLayoutTitle="@string/invite_earn"


                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:visibility="visible" />
            </LinearLayout>
            <!--            </androidx.core.widget.NestedScrollView>-->
        </androidx.coordinatorlayout.widget.CoordinatorLayout>
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>